import { HttpClient, HttpHeaders } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { environment } from 'src/environments/environment';
import { AlertModel } from '../model/alert.model';
@Injectable({
  providedIn: 'root'
})
export class FileService {
  constructor(private http: HttpClient) {
  }

  uploadExcel(formData: any, table: string): Observable<AlertModel> {
    return this.http.post<AlertModel>(environment.baseUrl + '/import/excel/' + table, formData)
  }
  downloadTemplate(fileName: string) {
    return this.http.get("/assets/template/" + fileName, { responseType: "blob" })
  }
}
